This file is part of MXE. See LICENSE.md for licensing information.

From ad526da840d636da440ce31a6c7f7909ed7ce61c Mon Sep 17 00:00:00 2001
From: a <a@mxe.cc>
Date: Mon, 11 Jun 2012 17:27:15 +0200
Subject: [PATCH 1/2] fix for mingw

This patch has been taken from:
http://tech.groups.yahoo.com/group/pdflib/message/20472
---
 libs/pdcore/pc_util.c |    6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/libs/pdcore/pc_util.c b/libs/pdcore/pc_util.c
index e8d8fec..f874bad 100644
--- a/libs/pdcore/pc_util.c
+++ b/libs/pdcore/pc_util.c
@@ -30,8 +30,12 @@
 #include <ieeefp.h>     /* for finite */
 #endif
 
-#if defined (isfinite)
+#if defined(isfinite)
 #define PDC_ISFINITE isfinite
+#if defined(__MINGW32__)
+/* MinGW has infinite, but we still need DWORD */
+#include <windef.h>
+#endif
 #else /* isfinite */
 
 #if defined(WIN32)
-- 
1.7.10.3


From 315d17f1b6d050df824a26418b191ca38ebd4602 Mon Sep 17 00:00:00 2001
From: Mark Brand <mabrand@mabrand.nl>
Date: Mon, 11 Jun 2012 17:33:04 +0200
Subject: [PATCH 2/2] force mingw detection

---
 configure.in |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/configure.in b/configure.in
index 3944168..de6ec09 100644
--- a/configure.in
+++ b/configure.in
@@ -98,7 +98,7 @@ then
 	ac_sys_system=next && ac_sys_release=$4
 	MACHDEP="$ac_sys_system$ac_sys_release$ac_sys_cpu"
     else
-	ac_sys_system=`uname -s`
+	ac_sys_system=MinGW
 	if test "$ac_sys_system" = "AIX" ; then
 		ac_sys_release=`uname -v`
 	else
-- 
1.7.10.3

